Add test of error not getting silenced

This commit is contained in:
Martin Povišer 2024-10-07 14:49:17 +02:00
parent 3e3515e7d9
commit b01b17689e
1 changed files with 9 additions and 0 deletions

View File

@ -0,0 +1,9 @@
#!/usr/bin/env bash
trap 'echo "ERROR in logger_cmd_error.sh" >&2; exit 1' ERR
(../../yosys -v 3 -C <<EOF
yosys -import
hierarchy -top nonexistent
EOF
) 2>&1 | grep -F "ERROR: Module \`nonexistent' not found!" > /dev/null